Method: bidders.accounts.filterSets.impressionMetrics.list
Stay organized with collections
Save and categorize content based on your preferences.
-
This method lists all metrics measured in terms of the number of impressions.
-
The HTTP request uses a GET method with a specific URL structure including a filterSetName path parameter.
-
Optional query parameters pageSize and pageToken can be used for pagination.
-
The request body must be empty, and a successful response returns a ListImpressionMetricsResponse.
-
This method requires the https://www.googleapis.com/auth/adexchange.buyer OAuth scope for authorization.
Lists all metrics that are measured in terms of number of impressions.
HTTP request
GET https://adexchangebuyer.googleapis.com/v2beta1/{filterSetName=bidders/*/accounts/*/filterSets/*}/impressionMetrics
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters |
filterSetName |
string
Name of the filter set that should be applied to the requested metrics. For example:
For a bidder-level filter set for bidder 123: bidders/123/filterSets/abc
For an account-level filter set for the buyer account representing bidder 123: bidders/123/accounts/123/filterSets/abc
For an account-level filter set for the child seat buyer account 456 whose bidder is 123: bidders/123/accounts/456/filterSets/abc
|
Query parameters
| Parameters |
pageSize |
integer
Requested page size. The server may return fewer results than requested. If unspecified, the server will pick an appropriate default.
|
pageToken |
string
A token identifying a page of results the server should return. Typically, this is the value of ListImpressionMetricsResponse.nextPageToken returned from the previous call to the impressionMetrics.list method.
|
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ListImpressionMetricsResponse.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/adexchange.buyer
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-18 UTC.
[null,null,["Last updated 2024-09-18 UTC."],[],[]]